# Generated by Django 5.0.6 on 2024-07-19 00:49

from django.db import migrations


def create_helpdesk_objects(apps, schema_editor):
    CustomField = apps.get_model("helpdesk", "CustomField")

    field, c = CustomField.objects.get_or_create(
        name="cgu",
        label="Conditions d'utilisation",
        data_type="boolean",
        help_text="""En cochant la case suivante, vous acceptez les
        <a href="https://ecriplus.fr/conditions-generales/">conditions générales d'utilisation du site.</a>""",
        required=True,
    )


class Migration(migrations.Migration):
    dependencies = [
        ("ecriplussupport", "0002_beat-task"),
        ("helpdesk", "0038_checklist_checklisttemplate_checklisttask"),
    ]

    operations = [
        migrations.RunPython(create_helpdesk_objects),
    ]
